<template>
  <my-modal v-model:open="visible" title="新建考试">
    <qm-low-form :params="params" :fields="fields" :label-width="80">
      <template #b> CET </template>
    </qm-low-form>
  </my-modal>
</template>
<script name="AddExam" lang="ts" setup>
import { ref } from "vue";
import { setValueFromObj } from "@/utils/tool";
const visible = defineModel();
const props = defineProps<{ curRow: any }>();

//todo 入参名
const params = ref({
  a: "",
});
params.value = setValueFromObj(params.value, props.curRow);
const fields = ref([
  { prop: "a", label: "名称", colSpan: 24 },
  { colSpan: 24, cell: "b", label: "扫描模式" },
]);
</script>
<style lang="less" scoped></style>
